<script lang="ts">
  import type { Bundle, Environment, PveConfig } from '@models/Sandbox';
  import ChallengeCard from '@components/Sandbox/ChallengeCard.svelte';

  export let bundles: Bundle[];
  export let environments: Environment[] | undefined = [];
  export let updateChallenges: () => Promise<void>;
  export let pveConfig: PveConfig;

  function getEnvironment(bundleId): Environment | undefined {
    return environments?.find((env: Environment) => env.bundle === bundleId);
  }
</script>

<div class="row row-cols-1 row-cols-xl-2">
  {#if !bundles}
    <p>loading...</p>
  {:else}
    {#each bundles as bundle}
      <div class="col mb-3">
        {#key environments}
          <ChallengeCard {updateChallenges} {pveConfig} {bundle} environment={getEnvironment(bundle.id)} />
        {/key}
      </div>
    {/each}
  {/if}
</div>
